-- Customer specific once-script WEHK15.
--
-- (c) 2011 SG|facilitor bv 
-- $Revision$ 
-- $Id$
--
-- Support: +31 53 4800700
SET ECHO ON
SPOOL xwehk15.lst
SET DEFINE OFF

-- WEHK#20053
INSERT INTO fac_srtnotificatie
            (fac_srtnotificatie_code, fac_srtnotificatie_mode,
             fac_srtnotificatie_oms, fac_srtnotificatie_xmlnode,
             fac_srtnotificatie_groep
            )
     VALUES ('CUST01', 2,
             'Rappel: Contract moet worden verlengd of opgezegd.', 'contract',
             0
            );

COMMIT;

-- WEHK#20113
UPDATE   prs_bedrijf b
   SET   b.prs_bedrijf_leverancier = NULL
 WHERE   b.prs_bedrijf_leverancier = 1
         AND NOT EXISTS (SELECT   1
                           FROM   ins_srtdeel
                          WHERE   prs_bedrijf_key = b.prs_bedrijf_key);

BEGIN adm.systrackscript('$Workfile: wehk15.sql $', '$Revision$', 1); END;
/

SPOOL OFF

@wehk.sql
